Subject: Re: Accessing PCI-E resources on 460EX

From: Felix Radensky <[email-masked]>
Date: Mon, 01 Dec 2008 13:08:31 +0200

Benjamin Herrenschmidt wrote:
> On Mon, 2008-11-03 at 23:09 +0200, Felix Radensky wrote:
>   
>> Hi,
>>
>> I'm currently struggling with some application
>> that tries to access PCI-E memory by mmaping
>> address found in /sys/bus/pci/devices/<device>/resource
>>
>> mmap() fails with "invalid argument" error, apparently
>> because on 460EX PCI addresses are 36-bit.
>>
>> What is the correct way of accessing PCI-E from
>> userspace on this platform.
>>     
>
> I fixed a lot of these problems recently. Can you try again with
> 2.6.28-latest-rc ?
>   

Thanks a lot for this input.
The problem is that I have a custom board with quite a few kernel 
modifications,
and I'm afraid it can take me some time to move from 2.6.26 to 2.6.28.
Any chance I can backport you modifications to 2.6.26 ? Have you modified
other files except arch/powerpc/sysdev/ppc4xx_pci.c to fix these problems ?

> Cheers,
> Ben.
>
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>